%define upstream_name    Text-DAWG
%define upstream_version 0.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Directed acyclic word graphs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Text::DAWG implements implements string set recognition by way of directed
acyclic word graphs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.1.0-11.mga10
+ Revision: 2200962
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.1.0-10.mga9
+ Revision: 1806296
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-9.mga8
+ Revision: 1497634
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-8.mga7
+ Revision: 1272034
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.0-7.mga6
+ Revision: 1034909
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.1.0-6.mga6
+ Revision: 945490
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-5.mga5
+ Revision: 749921
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-4.mga5
+ Revision: 686613
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 515512
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 374007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 0.1.0-1.mga2
+ Revision: 175348
- imported package perl-Text-DAWG


* Sat Dec 03 2011 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
